{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="{% static 'js_oae/fontawesome.js' %}"></script>
    <link href="{% static 'css_oae/main.css' %}" rel="stylesheet">

    <style>
        .example {
            padding: 20px;
            color: white;
        }

        /* Extra small devices (phones, 600px and down) */

        @media only screen and (max-width: 600px) {
            .example {
                background: red;
            }
        }

        /* Small devices (portrait tablets and large phones, 600px and up) */

        @media only screen and (min-width: 600px) {
            .example {
                background: pink;
            }
        }

        /* Medium devices (landscape tablets, 768px and up) */

        @media only screen and (min-width: 768px) {
            .example {
                background: blue;
            }
        }

        /* Large devices (laptops/desktops, 992px and up) */

        @media only screen and (min-width: 992px) {
            .example {
                background: orange;
            }
        }

        /* Extra large devices (large laptops and desktops, 1200px and up) */

        @media only screen and (min-width: 1200px) {
            .example {
                background: green;
            }
        }
    </style>
</head>

<body>
    <hr>
    <div>
        <a href="https://www.w3schools.com/css/css_website_layout.asp">layout</a>
    </div>
    <hr>

    <div class="header">
        <!-- <img src="http://127.0.0.1:8000/static/assets/logo-top.png" alt=""> -->
        <h1>My Website</h1>
        <p>Resize the browser window to see the effect.</p>
        <!-- <p>สำนักงานเศรษฐกิจการเกษตร</p> -->
        <!-- <p>Office of Agricultural Economics</p> -->
    </div>

    <hr>
    <a href="https://www.w3schools.com/howto/howto_js_topnav_responsive.asp">howto_js_topnav_responsive.asp</a>
    <hr>

    <div class="topnav" id="myTopnav">
        <!-- <a href="#">หน้าแรก</a>
        <a href="#">ข้อมูลองค์กร</a>
        <a href="#">ข้อมูลเชิงลึก</a>
        <a href="#">ติดต่อเรา</a> -->
        <a href="#home" class="active">Home</a>
        <a href="#news">News</a>
        <a href="#contact">Contact</a>
        <a href="#about">About</a>
        <a href="javascript:void(0);" class="icon" onclick="myFunction()">
            <i class="fa fa-bars"></i>
            <!-- <i class="fa fa-user-circle" aria-hidden="true"></i> -->
        </a>
    </div>

    <!-- <div class="topnav">
        <a href="#">หน้าแรก</a>
        <a href="#">ข้อมูลองค์กร</a>
        <a href="#">ข้อมูลเชิงลึก</a>
        <a href="#">ติดต่อเรา</a>
        <a class="active" href="#">Link</a>
        <a href="#">Link</a>
        <a href="#">Link</a>
        <a href="#" style="float:right">Link</a>
    </div> -->

    <!-- <ul class="page">
        <li class="page"><a href="#home">Home</a></li>
        <li class="page"><a href="#news">News</a></li>
        <li class="page dropdown">
            <a href="javascript:void(0)" class="dropbtn">Dropdown</a>
            <div class="dropdown-content">
                <a href="#">Link 1</a>
                <a href="#">Link 2</a>
                <a href="#">Link 3</a>
            </div>
        </li>
    </ul> -->
    <div class="row">
        <div class="card">
            <div class="col-12">
                <p>ผลผลิตการเกษตร</p>
                <p><input type="text"><button>dsd</button></p>
                <div>หรือเริ่มด้วยตัวอย่าง</div>
            </div>

        </div>
    </div>

    <div class="row">
        <div class="leftcolumn">
            <!-- <div class="card">
                <h2>About Me</h2>
                <div class="fakeimg" style="height:100px;">Image</div>
                <p>Some text about me in culpa qui officia deserunt mollit anim..</p>
            </div> -->
            <!-- <div class="card">
                <h3>Popular Post</h3>
                <div class="fakeimg">
                    <p>Image</p>
                </div>
                <div class="fakeimg">
                    <p>Image</p>
                </div>
                <div class="fakeimg">
                    <p>Image</p>
                </div>
            </div> -->
            <!-- <div class="card">
                <h3>Follow Me</h3>
                <p>Some text..</p>
            </div> -->
            <div class="card">
                <!-- <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d15929594.575093126!2d92.44080398970547!3d12.903787855913787!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x304d8df747424db1%3A0x9ed72c880757e802!2z4Lib4Lij4Liw4LmA4LiX4Lio4LmE4LiX4Lii!5e0!3m2!1sth!2sth!4v1596097225087!5m2!1sth!2sth" width="600" height="450" frameborder="0" style="border:0;width: 270px;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe> -->
            </div>
        </div>
        <div class="rightcolumn">
            <div class="card">
                <h2>TITLE HEADING</h2>
                <h5>Title description, Dec 7, 2017</h5>
                <div class="fakeimg" style="height:200px;">Image</div>
                <p>Some text..</p>
                <p>Sunt in culpa qui officia deserunt mollit anim id est laborum consectetur adipiscing elit, sed do
                    eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
                    exercitation ullamco.</p>
            </div>
            <div class="card">
                <h2>TITLE HEADING</h2>
                <h5>Title description, Sep 2, 2017</h5>
                <div class="fakeimg" style="height:200px;">Image</div>
                <p>Some text..</p>
                <p>Sunt in culpa qui officia deserunt mollit anim id est laborum consectetur adipiscing elit, sed do
                    eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
                    exercitation ullamco.</p>
            </div>
        </div>
    </div>

    <div class="footer">
        <h2>Footer</h2>
    </div>

    <hr>

    <div class="row">
        <div class="col-3 col-s-3 ">
            <ul>
                <li>The Flight</li>
                <li>The City</li>
                <li>The Island</li>
                <li>The Food</li>
            </ul>
        </div>

        <div class="col-6 col-s-9">
            <h1>The City</h1>
            <p>Chania is the capital of the Chania region on the island of Crete. The city can be divided in two parts,
                the old town and the modern city.</p>
        </div>

        <div class="col-3 col-s-12">
            <div class="">
                <h2>What?</h2>
                <p>Chania is a city on the island of Crete.</p>
                <h2>Where?</h2>
                <p>Crete is a Greek island in the Mediterranean Sea.</p>
                <h2>How?</h2>
                <p>You can reach Chania airport from all over Europe.</p>
            </div>
        </div>

        <div class="col-3 col-s-12">
            <div class="card">
                <div class="example">Resize the browser window to see how the background color of this paragraph changes
                    on different screen sizes.</div>
            </div>
        </div>
    </div>

    <hr>

    <div class="row">
        <!-- <div class="column middle">
            <h2>Main Content</h2>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sit amet pretium urna. Vivamus
                venenatis velit nec neque ultricies, eget elementum magna tristique. Quisque vehicula, risus eget
                aliquam placerat, purus leo tincidunt eros, eget luctus quam orci in velit. Praesent scelerisque tortor
                sed accumsan convallis.</p>
            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas sit amet pretium urna. Vivamus
                venenatis velit nec neque ultricies, eget elementum magna tristique. Quisque vehicula, risus eget
                aliquam placerat, purus leo tincidunt eros, eget luctus quam orci in velit. Praesent scelerisque tortor
                sed accumsan convallis.</p>
        </div> -->

        <div class="col-3">
            <div class="card">
                <h2>Text</h2>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit..</p>
                <hr>
                <p class="text-target" target="_blank">Lorem ipsum dolor sit amet,</p>
                <hr>
                <p title="flower">Lorem ipsum dolor sit amet,</p>
                <p title="tree">Lorem ipsum dolor sit amet,</p>
                <hr>
                <p class="top-header">Welcome</p>
                <p class="top-text">Welcome</p>
                <hr>
                <p class="text-over">class="text-over"</p>
                <p class="text-line">class="text-line"</p>
                <p class="text-under">class="text-under"</p>
                <p class="text-indent">In my younger and more vulnerable years my father gave me some advice that I've
                    been turning over in my mind ever since. 'Whenever you feel like criticizing anyone,' he told me,
                    'just remember that all the people in this world haven't
                    had the advantages that you've had.'</p>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <p>mp4</p>
                <embed class="video-max-width" type="video/webm"
                    src="https://interactive-examples.mdn.mozilla.net/media/examples/flower.mp4">

                <video class="video-max-width" controls>
                    <source src="https://www.w3schools.com/css/mov_bbb.mp4" type="video/mp4">
                    <source src="mov_bbb.ogg" type="video/ogg">
                    Your browser does not support HTML5 video.
                </video>
                <!-- <embed type="video/webm" src="/media/examples/flower.mp4" width="250" height="200"> -->
            </div>
        </div>
        <div class="col-3">
            <div class="card">
                <p>youtube</p>
                <!-- width="805" height="453" -->
                <div>
                    <iframe class="video-max-width" src="https://www.youtube.com/embed/ZJav9lHklgk" frameborder="0"
                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                        allowfullscreen></iframe>
                </div>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <strong>Components</strong> <br>
                <a href="https://getbootstrap.com/docs/4.5/components/alerts/">alerts</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/badge/">badge</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/breadcrumb/">breadcrumb</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/buttons/">buttons</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/button-group/">button-group</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/card/">card</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/carousel/">carousel</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/collapse/">collapse</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/dropdowns/">dropdowns</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/forms/">forms</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/input-group/">input-group</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/jumbotron/">jumbotron</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/list-group/">list-group</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/media-object/">media-object</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/modal/">modal</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/navs/">navs</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/navbar/">navbar</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/pagination/">pagination</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/popovers/">popovers</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/progress/">progress</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/scrollspy/">scrollspy</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/spinners/">spinners</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/toasts/">toasts</a><br>
                <a href="https://getbootstrap.com/docs/4.5/components/tooltips/">tooltips</a><br>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-3">
            <div class="card">
                <h1 style="background-color:Tomato;">Tomato</h1>
                <h1 style="background-color:Orange;">Orange</h1>
                <h1 style="background-color:DodgerBlue;">DodgerBlue</h1>
                <h1 style="background-color:MediumSeaGreen;">MediumSeaGreen</h1>
                <h1 style="background-color:Gray;">Gray</h1>
                <h1 style="background-color:SlateBlue;">SlateBlue</h1>
                <h1 style="background-color:Violet;">Violet</h1>
                <h1 style="background-color:LightGray;">LightGray</h1>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <h1 style="color:Tomato;">Tomato</h1>
                <h1 style="color:Orange;">Orange</h1>
                <h1 style="color:DodgerBlue;">DodgerBlue</h1>
                <h1 style="color:MediumSeaGreen;">MediumSeaGreen</h1>
                <h1 style="color:Gray;">Gray</h1>
                <h1 style="color:SlateBlue;">SlateBlue</h1>
                <h1 style="color:Violet;">Violet</h1>
                <h1 style="color:LightGray;">LightGray</h1>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                image
                <img class="img-max-width" src="https://live.staticflickr.com/4305/36012175695_cb3c67f6bf_h.jpg"
                    alt="img">
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <input class="input-search" type="text" name="search" placeholder="Search..">
                <input class="input-search-animated" type="text" name="search" placeholder="Search..">
            </div>
        </div>

    </div>
    <div class="row">
        <div class="col-3">
            <div class="card">
                <form action="/action_page.php">
                    <div class="row">
                        <div class="col-3">
                            <label for="fname">First Name</label>
                        </div>
                        <div class="col-9">
                            <input type="text" id="fname" name="firstname" placeholder="Your name..">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-3">
                            <label for="lname">Last Name</label>
                        </div>
                        <div class="col-9">
                            <input type="text" id="lname" name="lastname" placeholder="Your last name..">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-3">
                            <label for="country">Country</label>
                        </div>
                        <div class="col-9">
                            <select id="country" name="country">
                                <option value="australia">Australia</option>
                                <option value="canada">Canada</option>
                                <option value="usa">USA</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-3">
                            <label for="subject">Subject</label>
                        </div>
                        <div class="col-9">
                            <textarea id="subject" name="subject" placeholder="Write something.."
                                style="height:200px"></textarea>
                        </div>
                    </div>
                    <div class="row">
                        <input type="submit" value="Submit">
                    </div>
                </form>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <h1 style="background-color:rgba(255, 99, 71, 0);">rgba(255, 99, 71, 0)</h1>
                <h1 style="background-color:rgba(255, 99, 71, 0.2);">rgba(255, 99, 71, 0.2)</h1>
                <h1 style="background-color:rgba(255, 99, 71, 0.4);">rgba(255, 99, 71, 0.4)</h1>
                <h1 style="background-color:rgba(255, 99, 71, 0.6);">rgba(255, 99, 71, 0.6)</h1>
                <h1 style="background-color:rgba(255, 99, 71, 0.8);">rgba(255, 99, 71, 0.8)</h1>
                <h1 style="background-color:rgba(255, 99, 71, 1);">rgba(255, 99, 71, 1)</h1>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <h1 style="background-color:#ff0000;">#ff0000</h1>
                <h1 style="background-color:#0000ff;">#0000ff</h1>
                <h1 style="background-color:#3cb371;">#3cb371</h1>
                <h1 style="background-color:#ee82ee;">#ee82ee</h1>
                <h1 style="background-color:#ffa500;">#ffa500</h1>
                <h1 style="background-color:#6a5acd;">#6a5acd</h1>
            </div>
        </div>

        <style>
            .text-p {
                text-indent: 50px;
                text-align: justify;
                letter-spacing: 3px;
            }

            .text-a {
                text-decoration: none;
                color: #008CBA;
            }
        </style>
        <div class="col-3">
            <div class="card">
                <p class="text-p">This text is styled with some of the text formatting properties. The heading uses the
                    text-align, text-transform, and color properties. The paragraph is indented, aligned, and the space
                    between characters is specified. The underline is
                    removed from this colored
                    <a class="text-a" target="_blank" href="tryit.asp?filename=trycss_text">"Try it Yourself"</a> link.
                </p>
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-3">
            <div class="card">

                <p>1An <img src="https://www.akal.biz/images/a-4.png" alt="W3Schools" height="50"> image with a default
                    alignment.
                </p><br>

                <p>2An <img class="top" src="https://www.akal.biz/images/a-4.png" alt="W3Schools" height="50"> image with
                    a top alignment.</p><br>

                <p>3An <img class="middle" src="https://www.akal.biz/images/a-4.png" alt="W3Schools" height="50"> image
                    with a middle alignment.</p><br>

                <p>4An <img class="bottom" src="https://www.akal.biz/images/a-4.png" alt="W3Schools" height="50"> image
                    with a bottom alignment.</p>

            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <i class="fas fa-cloud"></i>
                <i class="fas fa-heart"></i>
                <i class="fas fa-car"></i>
                <i class="fas fa-file"></i>
                <i class="fas fa-bars"></i>
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <p>Example of unordered lists:</p>
                <ul class="list-a">
                    <li>Coffee</li>
                    <li>Tea</li>
                    <li>Coca Cola</li>
                </ul>
                <hr>

                <ul class="list-b">
                    <li>Coffee</li>
                    <li>Tea</li>
                    <li>Coca Cola</li>
                </ul>

                <p>Example of ordered lists:</p>
                <ol class="list-c">
                    <li>Coffee</li>
                    <li>Tea</li>
                    <li>Coca Cola</li>
                </ol>

                <ol class="list-d">
                    <li>Coffee</li>
                    <li>Tea</li>
                    <li>Coca Cola</li>
                </ol>

                <!-- <ul class="list-e">
                    <li>Coffee</li>
                    <li>Tea</li>
                    <li>Coca Cola</li>
                </ul> -->
            </div>
        </div>

        <div class="col-3">
            <div class="card">
                <style>
                    li.display-inline {
                        display: inline;
                    }
                </style>
                <ul>
                    <li class="display-inline"><a href="/html/default.asp">HTML</a></li>
                    <li class="display-inline"><a href="/css/default.asp">CSS</a></li>
                    <li class="display-inline"><a href="/js/default.asp">JavaScript</a></li>
                </ul>
            </div>

        </div>

        <!-- table -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <style>
                        .table,
                        th,
                        td {
                            border: 1px solid #ddd;
                            text-align: left;
                        }

                        .table {
                            border-collapse: collapse;
                            width: 100%;
                        }

                        .table tr:hover {
                            background-color: #f5f5f5;
                        }

                        th,
                        td {
                            padding: 10px;
                            /* text-align: left; */
                        }
                    </style>
                    <div style="overflow-x:auto;">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>First Name</th>
                                    <th>Last Name</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                    <th>Points</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>Jill</td>
                                    <td>Smith</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50</td>
                                    <td>50505050505050505050505050505050</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <!-- floa -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <style>
                        .img-float-right {
                            float: right;
                            margin: 15px;
                            width: 170px;
                            height: 170px;
                        }
                    </style>
                    <p>
                        <img class="img-float-right"
                            src="https://www.denofgeek.com/wp-content/uploads/2017/07/rick-and-morty.jpg?resize=768%2C432"
                            alt="Pineapple"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus
                        imperdiet, nulla et
                        dictum interdum, nisi lorem egestas odio, vitae scelerisque enim ligula venenatis dolor.
                        Maecenas nisl est, ultrices nec congue eget, auctor vitae massa. Fusce luctus vestibulum augue
                        ut aliquet. Mauris ante ligula, facilisis sed
                        ornare eu, lobortis in odio. Praesent convallis urna a lacus interdum ut hendrerit risus congue.
                        Nunc sagittis dictum nisi, sed ullamcorper ipsum dignissim ac. In at libero sed nunc venenatis
                        imperdiet sed ornare turpis. Donec
                        vitae dui eget tellus gravida venenatis. Integer fringilla congue eros non fermentum. Sed
                        dapibus pulvinar nibh tempor porta. Cras ac leo purus. Mauris quis diam velit.</p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <style>
                        .img-float-left {
                            float: left;
                            margin: 15px;
                            width: 170px;
                            height: 170px;
                        }
                    </style>
                    <p>
                        <img class="img-float-left"
                            src="https://www.denofgeek.com/wp-content/uploads/2017/07/rick-and-morty.jpg?resize=768%2C432"
                            alt="Pineapple"> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus
                        imperdiet, nulla et
                        dictum interdum, nisi lorem egestas odio, vitae scelerisque enim ligula venenatis dolor.
                        Maecenas nisl est, ultrices nec congue eget, auctor vitae massa. Fusce luctus vestibulum augue
                        ut aliquet. Mauris ante ligula, facilisis sed
                        ornare eu, lobortis in odio. Praesent convallis urna a lacus interdum ut hendrerit risus congue.
                        Nunc sagittis dictum nisi, sed ullamcorper ipsum dignissim ac. In at libero sed nunc venenatis
                        imperdiet sed ornare turpis. Donec
                        vitae dui eget tellus gravida venenatis. Integer fringilla congue eros non fermentum. Sed
                        dapibus pulvinar nibh tempor porta. Cras ac leo purus. Mauris quis diam velit.</p>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <style>
                        /* .clearfix {
                            overflow: auto;
                        } */

                        .img2 {
                            float: right;
                        }
                    </style>
                    <div class="clearfix">
                        <img class="img2"
                            src="https://www.denofgeek.com/wp-content/uploads/2017/07/rick-and-morty.jpg?resize=768%2C432"
                            alt="Pineapple" width="170" height="170"> Lorem ipsum dolor sit amet, consectetur adipiscing
                        elit. Phasellus imperdiet,
                        nulla et dictum interdum...
                    </div>
                </div>
            </div>
        </div>

        <script>
            function myFunction() {
                var x = document.getElementById("myTopnav");
                if (x.className === "topnav") {
                    x.className += " responsive";
                } else {
                    x.className = "topnav";
                }
            }
        </script>
</body>

</html>